---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfldw005.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50510, symBinAddr: 0xC5A0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52450, symBinAddr: 0xE4E0, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52840, symBinAddr: 0xE8D0, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x537E0, symBinAddr: 0xF870, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x537F0, symBinAddr: 0xF880, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50040, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50044, symBinAddr: 0xC314, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50048, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x501A0, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50258, symBinAddr: 0xC3D8, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5025C, symBinAddr: 0xC3DC, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50260, symBinAddr: 0xC3E0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50264, symBinAddr: 0xC3E4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50268, symBinAddr: 0xC3E8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50270, symBinAddr: 0xC3F0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50288, symBinAddr: 0xC408, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50290, symBinAddr: 0xC410, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50298, symBinAddr: 0xC418, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x502A0, symBinAddr: 0xC420, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x502A8, symBinAddr: 0xC428, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x502EA, symBinAddr: 0xC43A, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL10actual_fid, symObjAddr: 0x502F0, symBinAddr: 0xC440, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x502F8, symBinAddr: 0xC448, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50300, symBinAddr: 0xC450, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50310, symBinAddr: 0xC460, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL6fields, symObjAddr: 0xDD90, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x91CA, offset: 0x91CA, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50448, symBinAddr: 0xC598, symSize: 0x0 }
  - { offsetInCU: 0x9223, offset: 0x9223, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4660, symSize: 0x80 }
  - { offsetInCU: 0x92B8, offset: 0x92B8, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x45B0, symSize: 0xB0 }
  - { offsetInCU: 0x9313, offset: 0x9313, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x44B0, symSize: 0x100 }
  - { offsetInCU: 0x95A6, offset: 0x95A6, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x46E0, symSize: 0x220 }
  - { offsetInCU: 0x978B, offset: 0x978B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4900, symSize: 0xA0 }
  - { offsetInCU: 0x983E, offset: 0x983E, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x49A0, symSize: 0x110 }
  - { offsetInCU: 0x9934, offset: 0x9934, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4AB0, symSize: 0x150 }
  - { offsetInCU: 0x9A65, offset: 0x9A65, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4C00, symSize: 0x30 }
  - { offsetInCU: 0x9B26, offset: 0x9B26, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4C30, symSize: 0x150 }
  - { offsetInCU: 0x9D1E, offset: 0x9D1E, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4D80, symSize: 0x160 }
  - { offsetInCU: 0x9EAA, offset: 0x9EAA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4EE0, symSize: 0x1B0 }
  - { offsetInCU: 0xA0C5, offset: 0xA0C5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5090, symSize: 0xA0 }
  - { offsetInCU: 0xA194, offset: 0xA194, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5130, symSize: 0x20 }
  - { offsetInCU: 0xA1CB, offset: 0xA1CB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5150, symSize: 0x20 }
  - { offsetInCU: 0xA202, offset: 0xA202, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5170, symSize: 0x20 }
  - { offsetInCU: 0xA371, offset: 0xA371, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5190, symSize: 0x1A0 }
  - { offsetInCU: 0xA697, offset: 0xA697, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5330, symSize: 0x80 }
  - { offsetInCU: 0xA760, offset: 0xA760, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x53B0, symSize: 0x6A0 }
  - { offsetInCU: 0xB2F5, offset: 0xB2F5, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9FC0, symBinAddr: 0x6500, symSize: 0xB0 }
  - { offsetInCU: 0xB36C, offset: 0xB36C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5A50, symSize: 0x70 }
  - { offsetInCU: 0xB428, offset: 0xB428, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5AC0, symSize: 0xA0 }
  - { offsetInCU: 0xB553, offset: 0xB553, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5B60, symSize: 0x40 }
  - { offsetInCU: 0xB649, offset: 0xB649, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5BA0, symSize: 0x2B0 }
  - { offsetInCU: 0xB9EF, offset: 0xB9EF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5E50, symSize: 0xC0 }
  - { offsetInCU: 0xBB35, offset: 0xBB35, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5F10, symSize: 0x10 }
  - { offsetInCU: 0xBBF7, offset: 0xBBF7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5F20, symSize: 0x220 }
  - { offsetInCU: 0xBEF4, offset: 0xBEF4, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6140, symSize: 0x10 }
  - { offsetInCU: 0xBF51, offset: 0xBF51, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6150, symSize: 0x180 }
  - { offsetInCU: 0xC14E, offset: 0xC14E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D90, symBinAddr: 0x62D0, symSize: 0x10 }
  - { offsetInCU: 0xC1AB, offset: 0xC1AB, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0x9DA0, symBinAddr: 0x62E0, symSize: 0x40 }
  - { offsetInCU: 0xC248, offset: 0xC248, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw005_getReady, symObjAddr: 0x9DE0, symBinAddr: 0x6320, symSize: 0x150 }
  - { offsetInCU: 0xC352, offset: 0xC352, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw005_check, symObjAddr: 0x9F30, symBinAddr: 0x6470, symSize: 0x80 }
  - { offsetInCU: 0xC395, offset: 0xC395, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw005_getRes, symObjAddr: 0x9FB0, symBinAddr: 0x64F0, symSize: 0x10 }
  - { offsetInCU: 0xC3CA, offset: 0xC3CA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA070, symBinAddr: 0x65B0, symSize: 0x36A }
...
